%define	module	requests

Name:		python-%{module}
Version:	2.25.1
Release:	%mkrel 1
Summary:	Python HTTP for Humans
License:	Apache License
Group:		Development/Python
Url:		http://python-requests.org/
Source0:	https://pypi.io/packages/source/r/%{module}/%{module}-%{version}.tar.gz
# From Fedora Explicitly use the system certificates in ca-certificates.
# https://bugzilla.redhat.com/show_bug.cgi?id=904614
Patch0:		patch-requests-certs.py-to-use-the-system-CA-bundle.patch
Patch1:		requests-reqs.patch
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Requests allow you to send HTTP/1.1 requests. You can add headers,
form data, multipart files, and parameters with simple Python
dictionaries, and access the response data in the same way. It's
powered by httplib and urllib3, but it does all the hard work and
crazy hacks for you.

%package -n	python3-%{module}
Summary:	HTTP library, written in Python 3, for human beings
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(chardet)
BuildRequires:	python3dist(urllib3)
BuildRequires:	python3dist(pygments)
%{?python_provide:%python_provide python3-%{module}}
Requires:	rootcerts

%description -n	python3-%{module}
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%pyproject_extras_subpkg -n python3-requests security socks

%generate_buildrequires
%pyproject_buildrequires

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md HISTORY.md
%license LICENSE


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 2.25.1-1.mga8
+ Revision: 1665975
- 2.25.1

* Fri Nov 20 2020 daviddavid <daviddavid> 2.25.0-1.mga8
+ Revision: 1647929
- new version: 2.25.0

* Wed Oct 07 2020 wally <wally> 2.24.0-3.mga8
+ Revision: 1632615
- add patch to simplify complex requirements

* Wed Oct 07 2020 wally <wally> 2.24.0-2.mga8
+ Revision: 1632602
- build with pyproject rpm macros to get python extras subpackages

* Sun Jun 21 2020 daviddavid <daviddavid> 2.24.0-1.mga8
+ Revision: 1598253
- new version: 2.24.0

* Sun Feb 23 2020 daviddavid <daviddavid> 2.23.0-1.mga8
+ Revision: 1549646
- new version: 2.23.0

* Sun Feb 16 2020 umeabot <umeabot> 2.22.0-4.mga8
+ Revision: 1535269
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2.22.0-3.mga8
+ Revision: 1451710
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 2.22.0-2.mga8
+ Revision: 1437544
- rebuild for python3.8
- drop python2 support

* Sun Jun 30 2019 daviddavid <daviddavid> 2.22.0-1.mga8
+ Revision: 1416255
- new version: 2.22.0

* Sat Jan 05 2019 wally <wally> 2.21.0-2.mga7
+ Revision: 1349407
- rebuild for python3.7

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.21.0-1.mga7
+ Revision: 1346596
- 2.21.0
- update patch from fedora

* Tue Nov 13 2018 daviddavid <daviddavid> 2.20.1-1.mga7
+ Revision: 1329700
- new version: 2.20.1

* Sat Oct 20 2018 daviddavid <daviddavid> 2.20.0-1.mga7
+ Revision: 1322991
- new version: 2.20.0
- remove merged upstream patches

* Tue Oct 16 2018 daviddavid <daviddavid> 2.19.1-3.mga7
+ Revision: 1321169
- add upstream patch to fix CVE-2018-18074 (mga#23694)

* Thu Sep 20 2018 umeabot <umeabot> 2.19.1-2.mga7
+ Revision: 1289997
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 2.19.1-1.mga7
+ Revision: 1236959
- new version: 2.19.1

* Thu Jun 14 2018 daviddavid <daviddavid> 2.19.0-1.mga7
+ Revision: 1236934
- new version: 2.19.0

* Sun Apr 22 2018 kekepower <kekepower> 2.18.4-2.mga7
+ Revision: 1221208
- Update BRs
- Use python_provide

* Sun Aug 27 2017 daviddavid <daviddavid> 2.18.4-1.mga7
+ Revision: 1148254
- new version: 2.18.4

* Mon Aug 07 2017 daviddavid <daviddavid> 2.18.3-1.mga7
+ Revision: 1138274
- new version: 2.18.3
- rename python-requests to python2-requests

* Thu Aug 03 2017 tv <tv> 2.18.2-2.mga7
+ Revision: 1134291
- rebuild for new python

* Mon Jul 31 2017 daviddavid <daviddavid> 2.18.2-1.mga7
+ Revision: 1133205
- new version: 2.18.2
- python-chardet and python-urllib3 are now unbundled upstream
- update patches from fedora

* Thu Nov 03 2016 akien <akien> 2.11.1-2.mga6
+ Revision: 1064790
- Rebuild for urllib3 1.18.1

* Sat Sep 10 2016 luigiwalser <luigiwalser> 2.11.1-1.mga6
+ Revision: 1051344
- 2.11.1

* Tue May 03 2016 daviddavid <daviddavid> 2.10.0-1.mga6
+ Revision: 1009032
- new version: 2.10.0
- update urllib3 unbundled version to 1.15.1

* Mon Dec 21 2015 daviddavid <daviddavid> 2.9.1-1.mga6
+ Revision: 913234
- new version: 2.9.1

* Fri Dec 18 2015 daviddavid <daviddavid> 2.9.0-1.mga6
+ Revision: 911733
- new version: 2.9.0

* Tue Dec 15 2015 daviddavid <daviddavid> 2.8.1-1.mga6
+ Revision: 910651
- new version: 2.8.1
- tell explicitly about what version of urllib3 we are unbundling

* Wed Oct 07 2015 daviddavid <daviddavid> 2.7.0-5.mga6
+ Revision: 887174
- use new python macros
+ ovitters <ovitters>
- rebuild for new python3

* Mon Jul 20 2015 daviddavid <daviddavid> 2.7.0-4.mga6
+ Revision: 855637
- re-do unbundling by symlinking system libs into the requests/packages/ dir
- remove no more needed patch:
  * python-requests-system-chardet-not-charade.patch
- add a patch from Fedora to remove an unnecessary reference to a bundled compat lib in urllib3
- update Source URL

* Mon Jul 20 2015 joequant <joequant> 2.7.0-3.mga6
+ Revision: 855596
- add packages

* Mon Jul 20 2015 joequant <joequant> 2.7.0-2.mga6
+ Revision: 855592
- fix urllib

* Mon Jul 20 2015 joequant <joequant> 2.7.0-1.mga6
+ Revision: 855587
- upgrade to 2.7.0

* Mon Mar 16 2015 luigiwalser <luigiwalser> 2.3.0-5.mga5
+ Revision: 818662
- rebuild to fix release tag
+ tmb <tmb>
- rollback to 2.3.0 + CVE-2015-2296 fix

* Sun Mar 15 2015 daviddavid <daviddavid> 2.6.0-1.mga5
+ Revision: 818579
- new version: 2.6.0 (fix CVE-2015-2296) (mga#15496)
- re-do unbundling by symlinking system libs into the requests/packages/ dir
- remove no more needed patches:
  * python-requests-system-chardet-not-charade.patch
  * python-requests-system-urllib3.patch
- add a patch from Fedora to remove an unnecessary reference to a bundled compat lib in urllib3
- rediff patch0 (sync with Fedora's one)

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-4.mga5
+ Revision: 743774
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.0-3.mga5
+ Revision: 729640
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.0-2.mga5
+ Revision: 688308
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 daviddavid <daviddavid> 2.3.0-1.mga5
+ Revision: 668340
- fix license handling (Apache License instead of MIT)
- sync patches 2 and 3 with fedora (minor change)
- update file list
- new version: 2.3.0

* Sat May 31 2014 pterjan <pterjan> 2.0.0-5.mga5
+ Revision: 628990
- Rebuild for new Python

* Tue Oct 22 2013 ovitters <ovitters> 2.0.0-4.mga4
+ Revision: 546294
- python2 requires python-backports-ssl_match_hostname

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 544191
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-2.mga4
+ Revision: 499297
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 nmartin <nmartin> 2.0.0-1.mga4
+ Revision: 492727
- Update to new version 2.0.0

* Thu Aug 29 2013 philippem <philippem> 1.2.3-2.mga4
+ Revision: 473130
- unbundle cert, charade
- add Python 3
- unbundle cert, charade

* Sat Jun 08 2013 philippem <philippem> 1.2.3-1.1.mga4
+ Revision: 440562
- fix CVE-2013-2099 (ssl.match_hostname DOS)

* Sun Jun 02 2013 colin <colin> 1.2.3-1.mga4
+ Revision: 434894
- New version: 1.2.3

* Sun Jan 13 2013 umeabot <umeabot> 0.13.5-2.mga3
+ Revision: 379442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 0.13.5-1.mga3
+ Revision: 278170
- new version 0.13.5
- clean spec
- Import from Mandriva


* Tue Jul 17 2012 Lev Givon <lev@mandriva.org> 0.13.3-1
+ Revision: 810082
- imported package python-requests
- imported package python-requests

